package com.sun.xml.internal.ws.developer;

import com.sun.xml.internal.ws.server.DraconianValidationErrorHandler;
import javax.xml.ws.spi.WebServiceFeatureAnnotation;
import java.lang.annotation.Documented;
import java.lang.annotation.ElementType;
import java.lang.annotation.Target;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Retention;

@Retention(RetentionPolicy.RUNTIME)
@Target({ ElementType.TYPE, ElementType.METHOD, ElementType.FIELD })
@Documented
@WebServiceFeatureAnnotation(id = "http://jax-ws.dev.java.net/features/schema-validation", bean = SchemaValidationFeature.class)
public @interface SchemaValidation {
    public abstract Class<? extends ValidationErrorHandler> handler() default DraconianValidationErrorHandler.class;
    
    public abstract boolean inbound() default true;
    
    public abstract boolean outbound() default true;
}
